Note

Access to this page requires authorization. You can try signing in or .

Access to this page requires authorization. You can try .

Statistics - Get Device Statistics

Service:
IoT Hub
API Version:
2021-04-12

Gets device statistics of the IoT Hub identity registry, such as total device count.

GET https://fully-qualified-iothubname.azure-devices.net/statistics/devices?api-version=2021-04-12

URI Parameters

Name In Required Type Description
api-version
query True

string

Version of the Api.

Responses

Name Type Description
200 OK

RegistryStatistics

OK.

Definitions

RegistryStatistics

Object
Name Type Description
disabledDeviceCount

integer (int64)

The number of currently disabled devices.

enabledDeviceCount

integer (int64)

The number of currently enabled devices.

totalDeviceCount

integer (int64)

The total number of devices registered for the IoT Hub.